Bug 105783 - Remove extra space in CustomFilterRenderer.h
Summary: Remove extra space in CustomFilterRenderer.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-26 21:56 PST by Qiankun Miao
Modified: 2013-01-15 22:48 PST (History)
5 users (show)

See Also:


Attachments
Patch (1.43 KB, patch)
2012-12-26 21:57 PST, Qiankun Miao
no flags Details | Formatted Diff | Diff
Patch (1.40 KB, patch)
2012-12-27 17:44 PST, Qiankun Miao
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Qiankun Miao 2012-12-26 21:56:19 PST
Remove extra space in CustomFilterRenderer.h
Comment 1 Qiankun Miao 2012-12-26 21:57:35 PST
Created attachment 180775 [details]
Patch
Comment 2 Sam Weinig 2012-12-27 09:26:48 PST
This seems like an unnecessary change.  This can be fixed the next time that line is touched.
Comment 3 Darin Adler 2012-12-27 09:48:53 PST
Comment on attachment 180775 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=180775&action=review

OK. Normally we wouldn’t do a check-in just to remove one trailing space, but I see no harm in it.

> Source/WebCore/ChangeLog:8
> +        No new tests (OOPS!).

Can’t land a patch with a line like this.
Comment 4 Qiankun Miao 2012-12-27 17:44:20 PST
Reopening to attach new patch.
Comment 5 Qiankun Miao 2012-12-27 17:44:25 PST
Created attachment 180833 [details]
Patch
Comment 6 Kentaro Hara 2012-12-28 00:05:09 PST
(In reply to comment #2)
> This seems like an unnecessary change.  This can be fixed the next time that line is touched.

Sam: As you mentioned, conventionally WebKit doesn't accept style-only-fix patches (in order not to mess up histories). But do we have any coding guideline about that? (When I was asked about that last time, I couldn't find the policy anywhere.)
Comment 7 Sam Weinig 2012-12-28 08:34:23 PST
(In reply to comment #6)
> (In reply to comment #2)
> > This seems like an unnecessary change.  This can be fixed the next time that line is touched.
> 
> Sam: As you mentioned, conventionally WebKit doesn't accept style-only-fix patches (in order not to mess up histories). But do we have any coding guideline about that? (When I was asked about that last time, I couldn't find the policy anywhere.)

I don't think there is a policy (and I am not sure how much weight I give the messing up histories argument, you can always go back further), nor do I think we really need or want one.  We actually have a history of doing style clean up to make sure things stay spiffy.  In this case, my gripe was with how marginal the change was.
Comment 8 Dean Jackson 2013-01-15 13:06:15 PST
Comment on attachment 180833 [details]
Patch

As Darin said, no harm.
Comment 9 WebKit Review Bot 2013-01-15 22:47:57 PST
Comment on attachment 180833 [details]
Patch

Clearing flags on attachment: 180833

Committed r139837: <http://trac.webkit.org/changeset/139837>
Comment 10 WebKit Review Bot 2013-01-15 22:48:02 PST
All reviewed patches have been landed.  Closing bug.